指定禁止显示交替容差值中的尾随零。 支持的平台:仅窗口 属性值只读:不 类型:布尔
言论此属性的初始值为。False 注意:此属性覆盖给定维度的 DIMALTTZ 系统变量的值。
例子工 务 局: Sub Example_AltToleranceSuppressTrailingZeros() ' This example creates an aligned dimension in model space and ' uses AltToleranceSuppressTrailingZeros to toggle the display of trailing zeros ' in the alternate dimension tolerance display Dim dimObj As AcadDimAligned Dim point1(0 To 2) As Double, point2(0 To 2) As Double Dim location(0 To 2) As Double ' Define the dimension point1(0) = 5: point1(1) = 5: point1(2) = 0 point2(0) = 7: point2(1) = 5: point2(2) = 0 location(0) = 5: location(1) = 7: location(2) = 0 ' Create an aligned dimension object in model space Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location) ' Set up alternate unit tolerance display dimObj.AltUnits = True dimObj.ToleranceDisplay = acTolLimits ThisDrawing.Application.ZoomAll Toggle: Select Case MsgBox("Press OK to toggle the display of trailing zeros in the alternate dimension tolerance", vbOKCancel) Case vbOK ' Toggle the display of trailing zeros for the alternate dimension tolerance value dimObj.AltToleranceSuppressTrailingZeros = Not (dimObj.AltToleranceSuppressTrailingZeros) ThisDrawing.Regen acAllViewports Case vbCancel Exit Sub End Select GoTo Toggle End Sub Visual LISP: (vl-load-com) (defun c:Example_AltToleranceSuppressTrailingZeros() ;; This example creates an aligned dimension in model space and ;; uses AltToleranceSuppressTrailingZeros to toggle the display of trailing zeros ;; in the alternate dimension tolerance display (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the dimension (setq point1 (vlax-3d-point 5 5 0) point2 (vlax-3d-point 7 5 0) location (vlax-3d-point 5 7 0)) ;; Create an aligned dimension object in model space (setq modelSpace (vla-get-ModelSpace doc)) (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location)) ;; Set up alternate unit tolerance display (vla-put-AltUnits dimObj :vlax-true) (vla-put-ToleranceDisplay dimObj acTolLimits) (vla-ZoomAll acadObj) ;; Toggle the display of trailing zeros for the alternate dimension tolerance value (vla-put-AltToleranceSuppressTrailingZeros dimObj (if (= (vla-get-AltToleranceSuppressTrailingZeros dimObj) :vlax-true) :vlax-false :vlax-true)) (vla-Regen doc acAllViewports) (alert "Suppression of trailing zeros in the alternate dimension tolerance toggled.") ;; Toggle the display of trailing zeros for the alternate dimension tolerance value back to previous state (vla-put-AltToleranceSuppressTrailingZeros dimObj (if (= (vla-get-AltToleranceSuppressTrailingZeros dimObj) :vlax-true) :vlax-false :vlax-true)) (vla-Regen doc acAllViewports) (alert "Suppression of trailing zeros in the alternate dimension tolerance toggled back.") ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:25
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.